> For the complete documentation index, see [llms.txt](https://synap.ac/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://synap.ac/docs/api/reference/shop/create-checkoutsession.md).

# Create CheckoutSession

```json
{"openapi":"3.0.1","info":{"title":"Synap API","version":"3.0.0"},"tags":[{"name":"Shop","description":"Endpoints related to the Shop."}],"servers":[{"url":"https://api.synap.ac/v3","description":"Production"},{"url":"https://api-stage.synap.ac/v3","description":"Staging"}],"security":[],"paths":{"/checkout-sessions":{"post":{"summary":"Create CheckoutSession","tags":["Shop"],"parameters":[{"name":"include","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"required":true,"content":{"application/vnd.api+json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"Identifies the Resource.","enum":["CheckoutSession"]},"attributes":{"type":"object","properties":{"productIdentifier":{"type":"string","readOnly":false,"description":"Deprecated on create — send the `product` relationship instead, as an identifier is not unique across portals. One of the two is required."},"currency":{"type":"string","enum":["gbp","eur","usd"],"readOnly":false,"description":"The currency to charge in. Defaults to the product's default currency. Must be one of the currencies the product is priced in, otherwise the request is rejected."},"customerData":{"type":"object","nullable":true,"properties":{"id":{"type":"string","nullable":true,"description":"The external payment gateway customer ID"},"email":{"type":"string","nullable":true,"description":"Can be used to link the payment gateway Customer."}}},"paymentGatewayToken":{"type":"string","readOnly":true,"nullable":true,"description":"The payment gateway token, only for paid products."},"paymentGatewayUrl":{"type":"string","readOnly":true,"nullable":true,"description":"The hosted payment gateway Checkout URL, only returned when creating a paid Checkout Session."},"isCheckoutCompleted":{"type":"boolean","readOnly":true,"nullable":false,"description":"Indicates if the user has completed the checkout form and is ready for processing."},"isPaymentSuccessful":{"type":"boolean","readOnly":true,"nullable":true,"description":"Indicates if the payment gateway checkout was successful."},"processedAt":{"type":"string","readOnly":true,"nullable":true,"description":"The date and time the subscription was processed."},"processingError":{"type":"string","nullable":true,"readOnly":true,"description":"If the payment was successful but the subscription was not created, this will contain the error message."}}},"relationships":{"type":"object","properties":{"storeOffer":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["StoreOffer"]}}}}},"product":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["Product"]}}}}},"subscription":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["Subscription"]}}}}}}}}}}}}}},"responses":{"201":{"description":"Created","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/CheckoutSession"},"included":{"type":"array","items":{"$ref":"#/components/schemas/GenericResource"}}}}}}},"202":{"description":"Accepted","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/BackgroundJob"},"included":{"type":"array","items":{"$ref":"#/components/schemas/GenericResource"}}}}}}},"400":{"description":"Bad Request","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BadRequestApiError"}}}}}}},"401":{"description":"Unauthorized","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/UnauthorizedApiError"}}}}}}},"403":{"description":"Forbidden","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ForbiddenApiError"}}}}}}},"404":{"description":"Not Found","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/NotFoundApiError"}}}}}}},"409":{"description":"Conflict","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}}},"components":{"schemas":{"ObjectId":{"type":"string","description":"The primary key for each resource."},"CheckoutSession":{"type":"object","required":["id","type"],"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["CheckoutSession"]},"attributes":{"type":"object","required":["isCheckoutCompleted"],"properties":{"productIdentifier":{"type":"string","readOnly":true,"description":"Deprecated on create — send the `product` relationship instead, as an identifier is not unique across portals. One of the two is required."},"currency":{"type":"string","enum":["gbp","eur","usd"],"readOnly":true,"description":"The currency to charge in. Defaults to the product's default currency. Must be one of the currencies the product is priced in, otherwise the request is rejected."},"customerData":{"type":"object","nullable":true,"properties":{"id":{"type":"string","nullable":true,"description":"The external payment gateway customer ID"},"email":{"type":"string","nullable":true,"description":"Can be used to link the payment gateway Customer."}}},"paymentGatewayToken":{"type":"string","readOnly":true,"nullable":true,"description":"The payment gateway token, only for paid products."},"paymentGatewayUrl":{"type":"string","readOnly":true,"nullable":true,"description":"The hosted payment gateway Checkout URL, only returned when creating a paid Checkout Session."},"isCheckoutCompleted":{"type":"boolean","readOnly":false,"nullable":false,"description":"Indicates if the user has completed the checkout form and is ready for processing."},"isPaymentSuccessful":{"type":"boolean","readOnly":true,"nullable":true,"description":"Indicates if the payment gateway checkout was successful."},"processedAt":{"type":"string","readOnly":true,"nullable":true,"description":"The date and time the subscription was processed."},"processingError":{"type":"string","nullable":true,"readOnly":true,"description":"If the payment was successful but the subscription was not created, this will contain the error message."}}},"relationships":{"type":"object","properties":{"storeOffer":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["StoreOffer"]}}}}},"product":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["Product"]}}}}},"subscription":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["Subscription"]}}}}}}}}},"GenericResource":{"type":"object","description":"The structure of a any Resource returned by, or expected in, all requests.","properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"$ref":"#/components/schemas/ResourceType"},"attributes":{"type":"object","additionalProperties":true},"relationships":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Relationship"}}}},"ResourceType":{"type":"string","description":"Identifies the Resource."},"Relationship":{"type":"object","description":"Describes a relationship object that references the related resource.","properties":{"data":{"anyOf":[{"$ref":"#/components/schemas/ResourceIdentifierObject"},{"$ref":"#/components/schemas/ResourceIdentifierArray"}]},"links":{"$ref":"#/components/schemas/RelationLink"},"meta":{"type":"object","additionalProperties":true}}},"ResourceIdentifierObject":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"$ref":"#/components/schemas/ResourceType"}}},"ResourceIdentifierArray":{"type":"array","description":"This is a resource linkage for a to-many relationship. It is like a list of Parse Pointers.","nullable":true,"items":{"$ref":"#/components/schemas/ResourceIdentifierObject"}},"RelationLink":{"type":"object","properties":{"self":{"type":"string"},"related":{"type":"string"}}},"BackgroundJob":{"type":"object","required":["id","type"],"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["BackgroundJob"]},"attributes":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"createdAt":{"type":"string","readOnly":true},"timeStarted":{"type":"string","readOnly":true},"timeCompleted":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"status":{"type":"string","enum":["queued","delayed","started","stalled","successful","failed","panic"],"readOnly":true},"progress":{"type":"number","readOnly":true},"message":{"type":"string","readOnly":true},"data":{"type":"array","readOnly":true,"items":{"type":"array","readOnly":true,"items":{"oneOf":[{"type":"string"},{"type":"object"}],"maxItems":2}}},"params":{"type":"object","readOnly":true},"error":{"type":"string","readOnly":true},"result":{"type":"object","readOnly":true,"nullable":true}}},"relationships":{"type":"object","properties":{}}}},"BadRequestApiError":{"type":"object","description":"The request was invalid.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"UnauthorizedApiError":{"type":"object","description":"Unauthorized request.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"ForbiddenApiError":{"type":"object","description":"Forbidden request.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"NotFoundApiError":{"type":"object","description":"The request resource could not be found.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"ApiError":{"type":"object","description":"This is an error response structure. The id, status, code, title and detail will vary based on the error situation.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://synap.ac/docs/api/reference/shop/create-checkoutsession.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
